import _defineProperty from "@babel/runtime/helpers/defineProperty";
import classNames from 'classnames';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export var PurePanel = function PurePanel(props) {
  var _props$prefixCls = props.prefixCls,
    staticPrefixCls = _props$prefixCls === void 0 ? 'fcr-notification-notice' : _props$prefixCls,
    icon = props.icon,
    iconStyle = props.iconStyle,
    title = props.title,
    message = props.message,
    actions = props.actions,
    oneline = props.oneline;
  var prefixCls = "".concat(staticPrefixCls, "-content");
  return /*#__PURE__*/_jsxs("div", {
    className: classNames(_defineProperty(_defineProperty({}, "".concat(staticPrefixCls, "-with-icon"), icon), "".concat(staticPrefixCls, "-with-oneline"), oneline)),
    children: [icon && /*#__PURE__*/_jsx("div", {
      className: "".concat(prefixCls, "__icon"),
      style: iconStyle,
      children: icon
    }), /*#__PURE__*/_jsxs("div", {
      className: "".concat(prefixCls, "__text"),
      children: [title && /*#__PURE__*/_jsx("div", {
        className: classNames("".concat(prefixCls, "__title"), _defineProperty({}, "".concat(prefixCls, "__title-with-message"), message)),
        children: title
      }), message && /*#__PURE__*/_jsx("div", {
        className: "".concat(prefixCls, "__message"),
        children: message
      })]
    }), actions && /*#__PURE__*/_jsx("div", {
      className: "".concat(prefixCls, "__actions"),
      children: actions
    })]
  });
};